import { GetterTree } from "vuex";
import { AppState } from "./types";

const getters: GetterTree<AppState, AppState> = {
  loaded(state): boolean {
    return state.loaded;
  },

  loading(state): string | null {
    if (state.loading) {
      return state.loadingMessage;
    }
    return null;
  }
};

export default getters;
