import { MutationTree } from "vuex";
import { AppState } from "./types";

const mutations: MutationTree<AppState> = {
  setLoaded(state, loaded: boolean) {
    state.loaded = loaded;
  },

  setLoading(state, message: string) {
    state.loading = message != "";
    state.loadingMessage = message;
  }
};

export default mutations;
